
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;freq_on_lcd_16F876A.c,99 :: 		void interrupt(void)
;freq_on_lcd_16F876A.c,101 :: 		if(INTCON.INTF)
	BTFSS      INTCON+0, 1
	GOTO       L_interrupt0
;freq_on_lcd_16F876A.c,104 :: 		cntr++ ;                // inc. transition counter
	MOVF       _cntr+0, 0
	MOVWF      R0+0
	MOVF       _cntr+1, 0
	MOVWF      R0+1
	MOVF       _cntr+2, 0
	MOVWF      R0+2
	MOVF       _cntr+3, 0
	MOVWF      R0+3
	INCF       R0+0, 1
	BTFSC      STATUS+0, 2
	INCF       R0+1, 1
	BTFSC      STATUS+0, 2
	INCF       R0+2, 1
	BTFSC      STATUS+0, 2
	INCF       R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _cntr+0
	MOVF       R0+1, 0
	MOVWF      _cntr+1
	MOVF       R0+2, 0
	MOVWF      _cntr+2
	MOVF       R0+3, 0
	MOVWF      _cntr+3
;freq_on_lcd_16F876A.c,105 :: 		INTCON.INTF = 0 ;       // clear interrupt flag to enable next call
	BCF        INTCON+0, 1
;freq_on_lcd_16F876A.c,106 :: 		}
	GOTO       L_interrupt1
L_interrupt0:
;freq_on_lcd_16F876A.c,108 :: 		if(INTCON.T0IF)
	BTFSS      INTCON+0, 2
	GOTO       L_interrupt2
;freq_on_lcd_16F876A.c,111 :: 		ovrflw++ ;
	INCF       _ovrflw+0, 1
	BTFSC      STATUS+0, 2
	INCF       _ovrflw+1, 1
;freq_on_lcd_16F876A.c,113 :: 		INTCON.T0IF = 0 ;  // clear interrupt flag to enable next call on overflow
	BCF        INTCON+0, 2
;freq_on_lcd_16F876A.c,114 :: 		}
L_interrupt2:
L_interrupt1:
;freq_on_lcd_16F876A.c,115 :: 		}
L_end_interrupt:
L__interrupt9:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_main:

;freq_on_lcd_16F876A.c,121 :: 		void main()
;freq_on_lcd_16F876A.c,123 :: 		freq      = 0;
	CLRF       _freq+0
	CLRF       _freq+1
	CLRF       _freq+2
	CLRF       _freq+3
;freq_on_lcd_16F876A.c,126 :: 		PORTB     = 0;          // Clear PORTB
	CLRF       PORTB+0
;freq_on_lcd_16F876A.c,127 :: 		TRISB     = 0x01 ;      // RB0 pin as input, pins as outputs
	MOVLW      1
	MOVWF      TRISB+0
;freq_on_lcd_16F876A.c,142 :: 		OPTION_REG = 0b11011000 ;       // no prescaler
	MOVLW      216
	MOVWF      OPTION_REG+0
;freq_on_lcd_16F876A.c,144 :: 		UART1_Init(9600);               // Initialize UART module at 9600 bps
	MOVLW      51
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;freq_on_lcd_16F876A.c,145 :: 		Delay_ms(100);                  // Wait for UART module to stabilize
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_main3:
	DECFSZ     R13+0, 1
	GOTO       L_main3
	DECFSZ     R12+0, 1
	GOTO       L_main3
	DECFSZ     R11+0, 1
	GOTO       L_main3
	NOP
;freq_on_lcd_16F876A.c,147 :: 		UART1_Write_Text("Start");
	MOVLW      ?lstr1_freq_on_lcd_16F876A+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;freq_on_lcd_16F876A.c,148 :: 		UART1_Write(10);
	MOVLW      10
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;freq_on_lcd_16F876A.c,149 :: 		UART1_Write(13);
	MOVLW      13
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;freq_on_lcd_16F876A.c,157 :: 		PORTB      = SENSITIVITY_100x | Fo_Scaling_100x | CS_TSL230_ENABLE;
	MOVLW      170
	MOVWF      PORTB+0
;freq_on_lcd_16F876A.c,159 :: 		while(1)     // Endless loop
L_main4:
;freq_on_lcd_16F876A.c,161 :: 		cntr = 0 ;              // clear counters
	CLRF       _cntr+0
	CLRF       _cntr+1
	CLRF       _cntr+2
	CLRF       _cntr+3
;freq_on_lcd_16F876A.c,162 :: 		ovrflw = 0 ;
	CLRF       _ovrflw+0
	CLRF       _ovrflw+1
;freq_on_lcd_16F876A.c,164 :: 		INTCON = 0b10110110 ;           // GIE, TOIE, INTE, T0IF and INTF enabled
	MOVLW      182
	MOVWF      INTCON+0
;freq_on_lcd_16F876A.c,166 :: 		while(ovrflw < 7813) ;         // wait 1 second : 7813 = 8 000 000 / 4 / 256, rounded up
L_main6:
	MOVLW      128
	XORWF      _ovrflw+1, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      30
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main11
	MOVLW      133
	SUBWF      _ovrflw+0, 0
L__main11:
	BTFSC      STATUS+0, 0
	GOTO       L_main7
	GOTO       L_main6
L_main7:
;freq_on_lcd_16F876A.c,168 :: 		INTCON.GIE = 0 ;                // stop all interrupts
	BCF        INTCON+0, 7
;freq_on_lcd_16F876A.c,170 :: 		freq = cntr;
	MOVF       _cntr+0, 0
	MOVWF      _freq+0
	MOVF       _cntr+1, 0
	MOVWF      _freq+1
	MOVF       _cntr+2, 0
	MOVWF      _freq+2
	MOVF       _cntr+3, 0
	MOVWF      _freq+3
;freq_on_lcd_16F876A.c,173 :: 		ee = (float)freq * 0.001 * k_SENSITIVITY_100x * k_Fo_Scaling_100x;
	MOVF       _cntr+0, 0
	MOVWF      R0+0
	MOVF       _cntr+1, 0
	MOVWF      R0+1
	MOVF       _cntr+2, 0
	MOVWF      R0+2
	MOVF       _cntr+3, 0
	MOVWF      R0+3
	CALL       _Longword2Double+0
	MOVLW      111
	MOVWF      R4+0
	MOVLW      18
	MOVWF      R4+1
	MOVLW      3
	MOVWF      R4+2
	MOVLW      117
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVLW      102
	MOVWF      R4+0
	MOVLW      102
	MOVWF      R4+1
	MOVLW      38
	MOVWF      R4+2
	MOVLW      127
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      215
	MOVWF      R4+1
	MOVLW      35
	MOVWF      R4+2
	MOVLW      120
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      _ee+0
	MOVF       R0+1, 0
	MOVWF      _ee+1
	MOVF       R0+2, 0
	MOVWF      _ee+2
	MOVF       R0+3, 0
	MOVWF      _ee+3
;freq_on_lcd_16F876A.c,196 :: 		FloatToStr(ee, txt);    // Convert irradiance (float number) to a string
	MOVF       R0+0, 0
	MOVWF      FARG_FloatToStr_fnum+0
	MOVF       R0+1, 0
	MOVWF      FARG_FloatToStr_fnum+1
	MOVF       R0+2, 0
	MOVWF      FARG_FloatToStr_fnum+2
	MOVF       R0+3, 0
	MOVWF      FARG_FloatToStr_fnum+3
	MOVLW      _txt+0
	MOVWF      FARG_FloatToStr_str+0
	CALL       _FloatToStr+0
;freq_on_lcd_16F876A.c,197 :: 		UART1_Write_Text(txt);         // Print irradiance on Lcd
	MOVLW      _txt+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;freq_on_lcd_16F876A.c,198 :: 		UART1_Write_Text(" uW/cm2 [ ");           // Print text on Lcd
	MOVLW      ?lstr2_freq_on_lcd_16F876A+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;freq_on_lcd_16F876A.c,200 :: 		LongToStr(freq, txt);       // Convert freq (long integer number) to a string
	MOVF       _freq+0, 0
	MOVWF      FARG_LongToStr_input+0
	MOVF       _freq+1, 0
	MOVWF      FARG_LongToStr_input+1
	MOVF       _freq+2, 0
	MOVWF      FARG_LongToStr_input+2
	MOVF       _freq+3, 0
	MOVWF      FARG_LongToStr_input+3
	MOVLW      _txt+0
	MOVWF      FARG_LongToStr_output+0
	CALL       _LongToStr+0
;freq_on_lcd_16F876A.c,201 :: 		UART1_Write_Text(txt);         // Print frequency on Lcd
	MOVLW      _txt+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;freq_on_lcd_16F876A.c,202 :: 		UART1_Write_Text(" Hz ] \n\r");//(2, 10,"Hz");        // Print text on Lcd
	MOVLW      ?lstr3_freq_on_lcd_16F876A+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	CALL       _UART1_Write_Text+0
;freq_on_lcd_16F876A.c,207 :: 		}
	GOTO       L_main4
;freq_on_lcd_16F876A.c,208 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
